import { PLModel, MyPLModel } from "./pl.model"
import { MyPmsEaluationFactors1Model, PmsEaluationFactors1Model } from "./pms-ealuation-factors1.model"

export interface PmsEvaluationFactorsModel {
    personalLevel: PLModel
    companyId: string
    pmsEvaluationFactors1ModelList: PmsEaluationFactors1Model[]
}

export class MyPmsEvaluationFactorsModel implements PmsEvaluationFactorsModel {
    personalLevel: PLModel
    companyId: string
    pmsEvaluationFactors1ModelList: PmsEaluationFactors1Model[]
    constructor(data?: Partial<PmsEvaluationFactorsModel>) {
        this.personalLevel = new MyPLModel(data?.personalLevel)
        this.companyId = data?.companyId || ""
        this.pmsEvaluationFactors1ModelList = data?.pmsEvaluationFactors1ModelList?.map(x => new MyPmsEaluationFactors1Model(x)) || []
    }
}

